Fatal error compiling: java.lang.ExceptionInInitializerError: com.sun.tools.

发生情况:maven打包项目

问题原因:lombok的版本和本地jdk的版本不兼容,

 

解决办法:

1.降低项目引用的jdk的版本

操作:右击项目,选择open moudle setting,选择Project,选择jdk版本

2.提高lombok 的版本

https://mvnrepository.com  传送查看最新版本的lombok

<!--我写的是最新的版本-->
<dependency>
    <groupId>org.projectlombok</groupId>
    <artifactId>lombok</artifactId>
    <version>1.18.8</version>
    <scope>provided</scope>
</dependency>

 

发布了222 篇原创文章 · 获赞 300 · 访问量 11万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览